Subject: Re: linux-next: Tree for July 14

From: Andrew Morton <[email-masked]>
Date: Mon, 14 Jul 2008 10:12:42 -0700

On Mon, 14 Jul 2008 20:12:49 +1000 Stephen Rothwell <[email-masked]> wrote:

> With the opening of the merge window, I am hoping my job becomes easier
> again ... :-)

If past experience is a guide, it's about to get harder because

a) maintainers jam untested crap^W^Wrecently-received features into
   their trees so they don't miss the merge window and

b) a storm of git rejects turn up as Linus's tree starts to get changed.

Hopefully b) will improve, as "all" the new code has already gone
through linux-next merging.

As for a), well, it would be nice if people were to be careful about
that sort of thing.  In some ways it's justifiable - we _do_ have a
couple months to fix remaining glitches.  But one would think that when
fast-tracking new features, the code would at least get additional
review and testing to make up for it.